Bug 1505692 - HotSpot leaking memory in long-running requests [rhel-7.4.z]
Summary: HotSpot leaking memory in long-running requests [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.3
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: Lukas Zachar
URL:
Whiteboard:
Depends On: 1459641
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-24 06:53 UTC by Oneata Mircea Teodor
Modified: 2018-02-05 04:59 UTC (History)
14 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.151-3.b12.el7_4
Doc Type: Bug Fix
Doc Text:
OpenJDK 8's HotSpot virtual machine was found to leak memory when left running for long periods. With this update, the leak in the virtual machine's sweeper code is fixed. As a result, the virtual machine no longer leaks memory when left for long periods.
Clone Of: 1459641
Environment:
Last Closed: 2017-12-19 18:21:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
openjdk bug system JDK-8164293 None None None 2017-10-24 06:53:26 UTC
Icedtea Bugzilla 3412 None None None 2019-01-07 15:51:26 UTC
Red Hat Product Errata RHBA-2017:3488 normal SHIPPED_LIVE java-1.8.0-openjdk bug fix update 2017-12-19 23:19:12 UTC

Description Oneata Mircea Teodor 2017-10-24 06:53:09 UTC
This bug has been copied from bug #1459641 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 14 errata-xmlrpc 2017-12-19 18:21:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3488

Comment 15 Andrew John Hughes 2017-12-21 02:02:53 UTC
z-stream release completed.


Note You need to log in before you can comment on or make changes to this bug.